Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040445
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSminoralways2019-02-28 14:012019-04-17 13:37
Reporterjorge-garciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR18Q4.3
StatusclosedFix in branchFixed in SCM revisione576b4ab6bbe
ProjectionnoneETAnoneTarget VersionRR18Q4.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression levelProduction - QA Approved
Regression date2018-08-21
Regression introduced in releaseRR18Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/716482b9a59c1898039fce7e644f41954254945f [^]
Triggers an Emergency PackNo
Summary

0040445: Edit and total button are reactivated in multiorders window if the application is refreshed

DescriptionEdit and total button are reactivated in multi-orders window if the application is refreshed.

The user cannot do anything serious in multi-order edit tab, but it is a weird behavior
Steps To Reproduce1) Log in webPOS
2) Create two layaways with 1 line each and don't pay anything (just click on layaway button).
3) Go to menu and click pay open tickets entry.
4) Select previous created layaways.
5) Verify Menu, New, Total and edit button are disabled (this is correct).
6) Refresh the application (F5 or refresh browser button).
7) Check two things:
     * The edit tab is shown after reload (this is wrong).
     * Total and edit button are enabled (this is wrong).
Proposed SolutionIf the user reloads the application in multi-orders window, after the reload the POS should remain in the same state (payment tab and buttons disabled).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040291 closedranjith_qualiantech_com Edit and total button are reactivated in multiorders window if the application is refreshed 

-  Notes
(0110612)
hgbot (developer)
2019-03-25 09:20

Repository: retail/backports/3.0RR18Q4.3/org.openbravo.retail.posterminal
Changeset: e576b4ab6bbe9748e978ee95a440177280b7ccf1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 25 13:49:43 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.3/org.openbravo.retail.posterminal/rev/e576b4ab6bbe9748e978ee95a440177280b7ccf1 [^]

Fixed issue 40445 : Disable Total Pay Button and Edit Tab Button in Pay Open Ticket

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0110613)
hgbot (developer)
2019-03-25 09:20

Repository: retail/backports/3.0RR18Q4.3/pi-mobile
Changeset: ae5c352ec296020e678dba88093379108b314904
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 25 13:49:47 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.3/pi-mobile/rev/ae5c352ec296020e678dba88093379108b314904 [^]

Verifies issue 40445 : Modified Automated Test

* I33512_VerifyPayOpenTickets.java
* CreateMultiorder.java
* I27214_MultiorderFailsWhenEmptyReceiptsPresent.java
* I33834_VerifyLayawayInPayOpen.java

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bypaymentmethod/I33512_VerifyPayOpenTickets.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/CreateMultiorder.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I27214_MultiorderFailsWhenEmptyReceiptsPresent.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I33834_VerifyLayawayInPayOpen.java
---
(0110656)
jorge-garcia (developer)
2019-03-26 12:53

Code reviewed and tested
(0111194)
hgbot (developer)
2019-04-17 13:37

Repository: tools/automation/pi-mobile
Changeset: ae5c352ec296020e678dba88093379108b314904
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 25 13:49:47 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/ae5c352ec296020e678dba88093379108b314904 [^]

Verifies issue 40445 : Modified Automated Test

* I33512_VerifyPayOpenTickets.java
* CreateMultiorder.java
* I27214_MultiorderFailsWhenEmptyReceiptsPresent.java
* I33834_VerifyLayawayInPayOpen.java

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_bypaymentmethod/I33512_VerifyPayOpenTickets.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/CreateMultiorder.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I27214_MultiorderFailsWhenEmptyReceiptsPresent.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I33834_VerifyLayawayInPayOpen.java
---

- Issue History
Date Modified Username Field Change
2019-03-25 08:33 ranjith_qualiantech_com Type defect => backport
2019-03-25 08:33 ranjith_qualiantech_com Target Version => RR18Q4.3
2019-03-25 09:20 hgbot Checkin
2019-03-25 09:20 hgbot Note Added: 0110612
2019-03-25 09:20 hgbot Status scheduled => resolved
2019-03-25 09:20 hgbot Resolution open => fixed
2019-03-25 09:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/71f91024387fe71605aa98835b7190384432d1df [^] => http://code.openbravo.com/retail/backports/3.0RR18Q4.3/org.openbravo.retail.posterminal/rev/e576b4ab6bbe9748e978ee95a440177280b7ccf1 [^]
2019-03-25 09:20 hgbot Checkin
2019-03-25 09:20 hgbot Note Added: 0110613
2019-03-26 12:53 jorge-garcia Note Added: 0110656
2019-03-26 12:53 jorge-garcia Status resolved => closed
2019-03-26 12:53 jorge-garcia Fixed in Version => RR18Q4.3
2019-04-17 13:37 hgbot Checkin
2019-04-17 13:37 hgbot Note Added: 0111194


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker